<template>
  <div class="account-cardV2">
    <div class="account-cardV2-top">
      <div class="account-cardV2-content-wrapper">
        <div class="account-cardV2-content">{{ content }}</div>
        <img
          v-if="showEditBtn"
          :src="IconEdit"
          class="account-cardV2-edit-icon"
          @click="emit('edit')"
        />
      </div>
      <div class="account-cardV2-add-wrapper" @click="emit('add')">
        <img :src="IconAdd" class="account-cardV2-add-icon" />
        <div class="account-cardV2-add-text">新增</div>
      </div>
    </div>
    <div class="account-cardV2-remark">{{ remark }}</div>
  </div>
</template>

<script setup lang="ts">
import IconAdd from '../../assets/recharge/icon-add.png';
import IconEdit from '../../assets/recharge/icon-edit.png';

defineOptions({
  name: 'AccountCardV2',
});

type Props = {
  content?: string;
  remark?: string;
  showEditBtn?: boolean;
};

const props = withDefaults(defineProps<Props>(), {});

const emit = defineEmits<{
  (e: 'add'): void;
  (e: 'edit'): void;
}>();
</script>
